query UnderwritingAccounts($input: UnderwritingAccountInput!) {
underwritingAccounts(input: $input) {
items {
activeReviewId
currentApplication {
applicationStatus
createdDateTime
declineComment
id
informationRequestStatus
kind
queue
submissionAttemptedDateTime
submissionSuccessfulDateTime
updatedDateTime
}
events {
}
id
status
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query UnderwritingAccounts($input: UnderwritingAccountInput!) {\n underwritingAccounts(input: $input) {\n items {\n activeReviewId\n currentApplication {\n applicationStatus\n createdDateTime\n declineComment\n id\n informationRequestStatus\n kind\n queue\n submissionAttemptedDateTime\n submissionSuccessfulDateTime\n updatedDateTime\n }\n events {\n\n }\n id\n status\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
}
}
}
}'
{
"data": {
"underwritingAccounts": {
"items": [
{
"activeReviewId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"currentApplication": {
"applicationEvents": "example",
"applicationIdentity": "example",
"applicationStatus": "APPROVED",
"assignee": "example",
"attachments": [
"example"
],
"bankAccounts": [
"example"
],
"comments": [
"example"
],
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponents": [
"example"
],
"declineComment": "example",
"declineReasons": [
"example"
],
"dynamicField": "example",
"dynamicFields": [
"example"
],
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"informationRequests": [
"example"
],
"informationRequestStatus": "AWAITING_INFORMATION",
"kind": "MAINTENANCE_REVIEW",
"participants": [
"example"
],
"primaryUnderwriter": "example",
"processingActivity": "example",
"queue": "PARTNER",
"relationshipProcessingActivity": "example",
"schema": "example",
"secondaryUnderwriter": "example",
"stakeholders": [
"example"
],
"submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
"submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
"updatedBy": "example",
"updatedDateTime": "2026-01-15T14:30:00Z"
},
"events": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"status": "CLOSED"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Queries
underwritingAccounts
Retrieves the underwriting accounts the caller can see, newest first.
query UnderwritingAccounts($input: UnderwritingAccountInput!) {
underwritingAccounts(input: $input) {
items {
activeReviewId
currentApplication {
applicationStatus
createdDateTime
declineComment
id
informationRequestStatus
kind
queue
submissionAttemptedDateTime
submissionSuccessfulDateTime
updatedDateTime
}
events {
}
id
status
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query UnderwritingAccounts($input: UnderwritingAccountInput!) {\n underwritingAccounts(input: $input) {\n items {\n activeReviewId\n currentApplication {\n applicationStatus\n createdDateTime\n declineComment\n id\n informationRequestStatus\n kind\n queue\n submissionAttemptedDateTime\n submissionSuccessfulDateTime\n updatedDateTime\n }\n events {\n\n }\n id\n status\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
}
}
}
}'
{
"data": {
"underwritingAccounts": {
"items": [
{
"activeReviewId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"currentApplication": {
"applicationEvents": "example",
"applicationIdentity": "example",
"applicationStatus": "APPROVED",
"assignee": "example",
"attachments": [
"example"
],
"bankAccounts": [
"example"
],
"comments": [
"example"
],
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponents": [
"example"
],
"declineComment": "example",
"declineReasons": [
"example"
],
"dynamicField": "example",
"dynamicFields": [
"example"
],
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"informationRequests": [
"example"
],
"informationRequestStatus": "AWAITING_INFORMATION",
"kind": "MAINTENANCE_REVIEW",
"participants": [
"example"
],
"primaryUnderwriter": "example",
"processingActivity": "example",
"queue": "PARTNER",
"relationshipProcessingActivity": "example",
"schema": "example",
"secondaryUnderwriter": "example",
"stakeholders": [
"example"
],
"submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
"submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
"updatedBy": "example",
"updatedDateTime": "2026-01-15T14:30:00Z"
},
"events": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"status": "CLOSED"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Query
Arguments
Return type
UnderwritingAccountCollection!
Show child attributes
Show child attributes
The unique identifier of the review application in progress on the account. Null when no review is in progress.
The most recently approved application, which holds the account’s current details.See UnderwritingApplication
The events recorded on the account, newest first.See UnderwritingAccountEventCollection
The status of the account.See UnderwritingAccountStatus
query UnderwritingAccounts($input: UnderwritingAccountInput!) {
underwritingAccounts(input: $input) {
items {
activeReviewId
currentApplication {
applicationStatus
createdDateTime
declineComment
id
informationRequestStatus
kind
queue
submissionAttemptedDateTime
submissionSuccessfulDateTime
updatedDateTime
}
events {
}
id
status
}
pageInfo {
hasNextPage
hasPreviousPage
}
}
}
{
"input": {
"paging": {
"skip": 0,
"take": 0
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query UnderwritingAccounts($input: UnderwritingAccountInput!) {\n underwritingAccounts(input: $input) {\n items {\n activeReviewId\n currentApplication {\n applicationStatus\n createdDateTime\n declineComment\n id\n informationRequestStatus\n kind\n queue\n submissionAttemptedDateTime\n submissionSuccessfulDateTime\n updatedDateTime\n }\n events {\n\n }\n id\n status\n }\n pageInfo {\n hasNextPage\n hasPreviousPage\n }\n }\n}",
"variables": {
"input": {
"paging": {
"skip": 0,
"take": 0
}
}
}
}'
{
"data": {
"underwritingAccounts": {
"items": [
{
"activeReviewId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"currentApplication": {
"applicationEvents": "example",
"applicationIdentity": "example",
"applicationStatus": "APPROVED",
"assignee": "example",
"attachments": [
"example"
],
"bankAccounts": [
"example"
],
"comments": [
"example"
],
"createdBy": "example",
"createdDateTime": "2026-01-15T14:30:00Z",
"decisionComponents": [
"example"
],
"declineComment": "example",
"declineReasons": [
"example"
],
"dynamicField": "example",
"dynamicFields": [
"example"
],
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"informationRequests": [
"example"
],
"informationRequestStatus": "AWAITING_INFORMATION",
"kind": "MAINTENANCE_REVIEW",
"participants": [
"example"
],
"primaryUnderwriter": "example",
"processingActivity": "example",
"queue": "PARTNER",
"relationshipProcessingActivity": "example",
"schema": "example",
"secondaryUnderwriter": "example",
"stakeholders": [
"example"
],
"submissionAttemptedDateTime": "2026-01-15T14:30:00Z",
"submissionSuccessfulDateTime": "2026-01-15T14:30:00Z",
"updatedBy": "example",
"updatedDateTime": "2026-01-15T14:30:00Z"
},
"events": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"status": "CLOSED"
}
],
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true
}
}
}
}
Was this page helpful?